Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.impl
Class AbstractRDFSClass

    java.lang.Object
      edu.stanford.smi.protege.model.DefaultFrame
          edu.stanford.smi.protege.model.DefaultInstance
              edu.stanford.smi.protege.model.DefaultCls
                  edu.stanford.smi.protegex.owl.model.impl.AbstractRDFSClass

All Implemented Interfaces:
  edu.stanford.smi.protege.model.Cls, edu.stanford.smi.protege.model.Frame, edu.stanford.smi.protege.model.Instance, edu.stanford.smi.protege.model.Localizable, ProtegeCls, ProtegeInstance, RDFObject, RDFResource, RDFSClass, Visitable, Serializable, Comparable<edu.stanford.smi.protege.model.Frame>

Direct Known Subclasses:
  AbstractOWLAnonymousClass, DefaultRDFSNamedClass

    public abstract class AbstractRDFSClass

extends edu.stanford.smi.protege.model.DefaultCls
implements RDFSClass

A basic implementation of the RDFSClass interface that provides support for disjoint classes.

Author:
  Holger Knublauch
See Also:
  Serialized Form

Constructor Summary
`AbstractRDFSClass(edu.stanford.smi.protege.model.KnowledgeBase kb, edu.stanford.smi.protege.model.FrameID id)`

Method Summary
`protected void` | `addAnonymousClses(Collection target, Collection clses)`
`void` | `addClassListener(ClassListener listener)` Adds a ClassListener to receive events about this RDFSClass.
`void` | `addComment(String comment)` Adds an rdfs:comment to this resource.
`void` | `addDifferentFrom(RDFResource resource)` Adds an owl:differentFrom to this resource.
`void` | `addIsDefinedBy(RDFResource instance)` Adds an rdfs:isDefinedBy to this resource.
`void` | `addLabel(String label, String language)` Adds a label to this.
`void` | `addPropertyValue(RDFProperty property, Object value)` Adds a value for a given property to this resource.
`void` | `addPropertyValueListener(PropertyValueListener listener)` Adds a PropertyValueListener to receive events when property values have changed.
`void` | `addProtegeType(RDFSClass type)` Adds an type to this resource.
`void` | `addRDFType(RDFSClass type)` Adds an rdf:type to this resource.
`void` | `addResourceListener(ResourceListener listener)` Adds a ResourceListener to receive events when the type of this has changed.
`void` | `addSameAs(RDFResource resource)` Adds an owl:sameAs to this resource.
`void` | `addSuperclass(RDFSClass superclass)` Adds a class to the rdfs:subClassOfs of this.
`void` | `addToUnionDomainOf(RDFProperty property)`
`void` | `addVersionInfo(String versionInfo)` Adds an owl:versionInfo to this resource.
`RDFResource` | `as(Class javaInterface)` Converts this dynamically into an instance of a given Java interface.
`boolean` | `canAs(Class javaInterface)` Checks whether this can be dynamically morphed into an instance of a given Java interface.
`RDFSClass` | `createClone()` Creates a copy of anonymous classes which contain a completely new expression tree.
`RDFResource` | `createInstance(String name)` Creates a new instance of this class.
`protected AbstractOWLModel` | `getAbstractOWLModel()`
`RDFResource` | `getAllValuesFromOnTypes(RDFProperty property)` Checks for rdfs:range or owl:allValuesFrom restrictions on the types of this resource.
`OWLBrowserSlotPattern` | `getBrowserSlotPattern()`
`Collection` | `getComments()` Gets all rdfs:comments for this resource.
`RDFSClass` | `getDefinition()`
`Collection` | `getDifferentFrom()` Gets all owl:differentFroms for this resource.
`Object` | `getDirectTemplateFacetValue(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet)`
`Collection` | `getDisjointClasses()`
`Collection` | `getDocumentation()`
`Collection` | `getEquivalentClasses()` Gets a Collection of all directly equivalent Clses of this.
`Collection` | `getHasValuesOnTypes(RDFProperty property)` Checks if there are any owl:hasValue restrictions defined on any rdf:type of this and returns the fillers of the restrictions (if found).
`Class` | `getIconLocation()` Gets a class that serves as a location of the icon resource.
`int` | `getInferredInstanceCount()` Gets the number of direct inferred instances of this class.
`Collection` | `getInferredInstances(boolean includingSubclasses)` Gets all resources that have this as their inferred type.
`Collection` | `getInferredTypes()` Gets the direct types that were inferred during the most recent execution of a reasoner.
`int` | `getInstanceCount(boolean includingSubclasses)` Gets the number of instances of this, possibly including the instances of all subclasses.
`Collection` | `getInstances(boolean includingSubclasses)` Gets the instances of this, possibly including the instances of all subclasses.
`Collection` | `getIsDefinedBy()` Gets all rdfs:isDefinedBy for this resource.
`Collection` | `getLabels()` Gets the rdfs:labels that are currenly defined for this.
`String` | `getLocalName()` Gets the local part of the full URI (name) of this resource.
`Collection` | `getNamedSubclasses()` Gets a Collection of all direct subclasses that are not anonymous.
`Collection` | `getNamedSubclasses(boolean transitive)` Gets the named subclasses of this class.
`Collection` | `getNamedSuperclasses()` Gets a Collection of all direct superclasses that are not anonymous.
`Collection` | `getNamedSuperclasses(boolean transitive)` Gets the superclasses of this class.
`String` | `getNamespace()` Gets the namespace of this resource.
`String` | `getNamespacePrefix()` Gets the prefix of the namespace, i.e.
`OWLModel` | `getOWLModel()` Gets the OWLModel this resource is defined in.
`String` | `getParsableExpression()`
`Collection` | `getPossibleRDFProperties()` Gets a Collection of all RDFProperties that this resource could take values for.
`String` | `getPrefixedName()` Gets the qualified name as a namespace, local name pair (e.g.
`Object` | `getPropertyValue(RDFProperty property)` Gets all (direct) values of a given property.
`Object` | `getPropertyValue(RDFProperty property, boolean includingSubproperties)` Gets all values of a given property, and optionally its subproperties.
`RDFResource` | `getPropertyValueAs(RDFProperty property, Class javaInterface)`
`int` | `getPropertyValueCount(RDFProperty property)` Gets the number of all (direct) values of a given property.
`RDFSLiteral` | `getPropertyValueLiteral(RDFProperty property)` Gets the first value of a given property as an RDFSLiteral.
`Collection` | `getPropertyValueLiterals(RDFProperty property)` Gets all (direct) values of a given property at this as RDFSLiterals.
`Collection` | `getPropertyValues(RDFProperty property)` Gets all (direct) values of a given property at this resource.
`Collection` | `getPropertyValues(RDFProperty property, boolean includingSubproperties)` Gets all values of a given property, optionally including the values of the subproperties of the property.
`Collection` | `getPropertyValuesAs(RDFProperty property, Class javaInterface)`
`RDFSClass` | `getProtegeType()` Gets the first asserted type of this resource.
`Collection` | `getProtegeTypes()` Gets the asserted types of this resource.
`Collection` | `getPureSuperclasses()` Gets the subset of those direct superclasses which are not at the same time equivalent classes (or operands of equivalent intersection classes).
`Collection` | `getRDFProperties()` Gets all RDFProperties that have at least one value at this.
`RDFSClass` | `getRDFType()` Gets the first asserted rdf:type of this resource.
`Collection` | `getRDFTypes()` Gets the asserted rdf:types of this resource.
`Set` | `getReferringAnonymousClasses()` Gets a Collection of all OWLAnonymousClasses that have a reference to this.
`Collection` | `getSameAs()` Gets the values of the owl:sameAs property.
`int` | `getSubclassCount()` Gets the number of (direct) subclasses of this.
`Collection` | `getSubclasses(boolean transitive)` Gets the subclasses of this, including the subclasses of the subclasses etc.
`int` | `getSuperclassCount()` Gets the number of (direct) superclasses of this.
`Collection` | `getSuperclasses(boolean transitive)` Gets the superclasses of this, optionally including the superclasses of the superclasses etc.
`Collection` | `getUnionDomainProperties()` Equivalent to `getUnionDomainProperties(false)`.
`Collection` | `getUnionDomainProperties(boolean transitive)` Gets those properties that have this in their domain, with union semantics.
`String` | `getURI()` Gets the full URI of this resource.
`Collection` | `getVersionInfo()` Gets the values of the owl:versionInfo property.
`boolean` | `hasEquivalentClass(RDFSClass other)` Checks whether this is a (direct) equivalent class of a given other Cls.
`boolean` | `hasPropertyValue(RDFProperty property)` Checks whether this has any (direct) property value.
`boolean` | `hasPropertyValue(RDFProperty property, boolean includingSubproperties)` Checks whether this has any property value.
`boolean` | `hasPropertyValue(RDFProperty property, Object value)` Checks whether this has a certain (direct) property value.
`boolean` | `hasPropertyValue(RDFProperty property, Object value, boolean includingSuperproperties)` Checks whether this has a certain property value.
`boolean` | `hasPropertyValueWithBrowserText(RDFProperty property, String browserText)` For an object-valued property, checks whether one of the property values has a given browser text.
`boolean` | `hasPropertyValueWithBrowserText(edu.stanford.smi.protege.model.Slot property, String browserText)`
`boolean` | `hasProtegeType(RDFSClass type)` Checks whether this resource has a given type.
`boolean` | `hasProtegeType(RDFSClass type, boolean includingSuperclasses)`
`boolean` | `hasRDFType(RDFSClass type)` Checks whether this resource has a given rdf:type.
`boolean` | `hasRDFType(RDFSClass type, boolean includingSuperclasses)`
`boolean` | `isMetaclass()` Checks whether this is a metaclass, i.e.
`boolean` | `isSubclassOf(RDFSClass superclass)` Checks whether this is a (direct) subclass of a given class.
`boolean` | `isValidPropertyValue(RDFProperty property, Object object)` A convenience method to access the corresponding method in OWLModel.
`Iterator` | `listPropertyValues(RDFProperty property)` Gets all direct values of a certain property as an Iterator.
`Iterator` | `listPropertyValues(RDFProperty property, boolean includingSubproperties)` Gets all values of a certain property as an Iterator.
`Iterator` | `listPropertyValuesAs(RDFProperty property, Class javaInterface)`
`Iterator` | `listRDFTypes()` Gets an Iterator on the rdf:types of this.
`void` | `removeClassListener(ClassListener listener)` Removes a ClassListener to receive events about this RDFSClass.
`void` | `removeComment(String value)` Removes an rdfs:comment from this resource.
`void` | `removeDifferentFrom(RDFResource resource)`
`void` | `removeIsDefinedBy(RDFResource resource)`
`void` | `removeLabel(String label, String language)` Removes a label that has been previously added.
`void` | `removePropertyValue(RDFProperty property, Object value)`
`void` | `removePropertyValueListener(PropertyValueListener listener)`
`void` | `removeProtegeType(RDFSClass type)` Removes a type from this resource.
`void` | `removeRDFType(RDFSClass type)` Removes an rdf:type from this resource.
`void` | `removeResourceListener(ResourceListener listener)`
`void` | `removeSameAs(RDFResource resource)`
`void` | `removeSuperclass(RDFSClass superclass)` Removes a given class from the superclasses of this.
`void` | `removeVersionInfo(String versionInfo)`
`void` | `setComment(String comment)`
`void` | `setComments(Collection comments)`
`void` | `setDirectBrowserSlotPattern(edu.stanford.smi.protege.model.BrowserSlotPattern slotPattern)`
`void` | `setDocumentation(String value)`
`void` | `setInferredTypes(Collection types)`
`void` | `setPropertyValue(RDFProperty property, Object value)`
`void` | `setPropertyValues(RDFProperty property, Collection values)`
`void` | `setProtegeType(RDFSClass type)`
`void` | `setProtegeTypes(Collection types)`
`void` | `setRDFType(RDFSClass type)`
`void` | `setRDFTypes(Collection types)`
`String` | `toString()`

Methods inherited from class edu.stanford.smi.protege.model.DefaultCls
`addClsListener, addDirectSuperclass, addDirectTemplateSlot, addTemplateFacetValue, addTemplateSlotValue, createDirectInstance, getBrowserSlot, getConcreteSubclasses, getDirectBrowserSlot, getDirectBrowserSlotPattern, getDirectInstanceCount, getDirectInstances, getDirectlyOverriddenTemplateFacets, getDirectSubclassCount, getDirectSubclasses, getDirectSuperclassCount, getDirectSuperclasses, getDirectTemplateFacetValues, getDirectTemplateSlots, getDirectTemplateSlotValues, getIcon, getInheritedBrowserSlot, getInheritedBrowserSlotPattern, getInstanceCount, getInstances, getOverriddenTemplateFacets, getSubclasses, getSuperclasses, getTemplateFacets, getTemplateFacetValue, getTemplateFacetValues, getTemplateSlotAllowedClses, getTemplateSlotAllowedParents, getTemplateSlotAllowedValues, getTemplateSlotAllowsMultipleValues, getTemplateSlotDefaultValues, getTemplateSlotDocumentation, getTemplateSlotMaximumCardinality, getTemplateSlotMaximumValue, getTemplateSlotMinimumCardinality, getTemplateSlotMinimumValue, getTemplateSlots, getTemplateSlotValue, getTemplateSlotValues, getTemplateSlotValueType, getVisibleDirectSubclassCount, getVisibleDirectSubclasses, getVisibleTemplateSlots, hasDirectlyOverriddenTemplateFacet, hasDirectlyOverriddenTemplateSlot, hasDirectSuperclass, hasDirectTemplateSlot, hasInheritedTemplateSlot, hasOverriddenTemplateFacet, hasOverriddenTemplateSlot, hasSuperclass, hasTemplateFacet, hasTemplateSlot, isAbstract, isClsMetaCls, isConcrete, isDefaultClsMetaCls, isDefaultFacetMetaCls, isDefaultSlotMetaCls, isFacetMetaCls, isMetaCls, isRoot, isSlotMetaCls, moveDirectSubclass, moveDirectTemplateSlot, removeClsListener, removeDirectSuperclass, removeDirectTemplateSlot, removeTemplateFacetOverrides, rename, setAbstract, setDirectBrowserSlot, setDirectTypeOfSubclasses, setTemplateFacetValue, setTemplateFacetValues, setTemplateSlotAllowedClses, setTemplateSlotAllowedParents, setTemplateSlotAllowedValues, setTemplateSlotAllowsMultipleValues, setTemplateSlotDefaultValues, setTemplateSlotDocumentation, setTemplateSlotDocumentation, setTemplateSlotMaximumCardinality, setTemplateSlotMaximumValue, setTemplateSlotMinimumCardinality, setTemplateSlotMinimumValue, setTemplateSlotValue, setTemplateSlotValues, setTemplateSlotValueType`

Methods inherited from class edu.stanford.smi.protege.model.DefaultInstance
`addDirectType, addInstanceListener, copy, deepCopy, getBrowserText, getDirectType, getDirectTypes, getOwnFacetValue, getOwnFacetValues, getReachableSimpleInstances, hasDirectType, hasType, moveDirectType, removeDirectType, removeInstanceListener, setDirectType, setDirectTypes, shallowCopy`

Methods inherited from class edu.stanford.smi.protege.model.DefaultFrame
`addFrameListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, assertFrameName, compareTo, delete, equals, equals, getDefaultKnowledgeBase, getDefiningProjectURI, getDirectOwnSlotValue, getDirectOwnSlotValues, getFrameID, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getName, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReferences, getReferences, hashCode, hasOwnSlot, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValid, isValidOwnSlotValue, isVisible, localize, markDeleted, markDeleting, moveDirectOwnSlotValue, removeFrameListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, setSystem, setVisible`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFSClass
`getDependingClasses, getImageIcon, getNestedBrowserText, getNestedNamedClasses, isAnonymous`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeCls
`addClsListener, addDirectSuperclass, addDirectTemplateSlot, addTemplateFacetValue, addTemplateSlotValue, createDirectInstance, getConcreteSubclasses, getDirectBrowserSlotPattern, getDirectInstanceCount, getDirectInstances, getDirectlyOverriddenTemplateFacets, getDirectSubclassCount, getDirectSubclasses, getDirectSuperclassCount, getDirectSuperclasses, getDirectTemplateFacetValues, getDirectTemplateSlots, getDirectTemplateSlotValues, getInheritedBrowserSlotPattern, getInstanceCount, getInstances, getOverriddenTemplateFacets, getSubclasses, getSuperclasses, getTemplateFacets, getTemplateFacetValue, getTemplateFacetValues, getTemplateSlotAllowedClses, getTemplateSlotAllowedParents, getTemplateSlotAllowedValues, getTemplateSlotAllowsMultipleValues, getTemplateSlotDefaultValues, getTemplateSlotDocumentation, getTemplateSlotMaximumCardinality, getTemplateSlotMaximumValue, getTemplateSlotMinimumCardinality, getTemplateSlotMinimumValue, getTemplateSlots, getTemplateSlotValue, getTemplateSlotValues, getTemplateSlotValueType, getVisibleDirectSubclassCount, getVisibleDirectSubclasses, getVisibleTemplateSlots, hasDirectlyOverriddenTemplateFacet, hasDirectlyOverriddenTemplateSlot, hasDirectSuperclass, hasDirectTemplateSlot, hasInheritedTemplateSlot, hasOverriddenTemplateFacet, hasOverriddenTemplateSlot, hasSuperclass, hasTemplateFacet, hasTemplateSlot, isAbstract, isClsMetaCls, isConcrete, isDefaultClsMetaCls, isDefaultFacetMetaCls, isDefaultSlotMetaCls, isFacetMetaCls, isMetaCls, isRoot, isSlotMetaCls, moveDirectSubclass, moveDirectTemplateSlot, removeClsListener, removeDirectSuperclass, removeDirectTemplateSlot, removeTemplateFacetOverrides, setAbstract, setDirectBrowserSlot, setDirectTypeOfSubclasses, setTemplateFacetValue, setTemplateFacetValues, setTemplateSlotAllowedClses, setTemplateSlotAllowedParents, setTemplateSlotAllowedValues, setTemplateSlotAllowsMultipleValues, setTemplateSlotDefaultValues, setTemplateSlotDocumentation, setTemplateSlotDocumentation, setTemplateSlotMaximumCardinality, setTemplateSlotMaximumValue, setTemplateSlotMinimumCardinality, setTemplateSlotMinimumValue, setTemplateSlotValue, setTemplateSlotValues, setTemplateSlotValueType`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeInstance
`addDirectType, addFrameListener, addInstanceListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, copy, deepCopy, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectType, getDirectTypes, getIcon, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReferences, getReferences, hasDirectType, hasOwnSlot, hasType, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValidOwnSlotValue, markDeleted, markDeleting, removeDirectType, removeFrameListener, removeInstanceListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDirectType, setDirectTypes, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, shallowCopy`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, getFrameID, isValid, moveDirectOwnSlotValue`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface edu.stanford.smi.protege.model.Cls
`getBrowserSlot, getDirectBrowserSlot, getInheritedBrowserSlot, rename`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, getFrameID, isValid, moveDirectOwnSlotValue`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFResource
`delete, getBrowserText, getIconName, getName, isVisible, setVisible`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeInstance
`addDirectType, addFrameListener, addInstanceListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, copy, deepCopy, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectType, getDirectTypes, getIcon, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReferences, getReferences, hasDirectType, hasOwnSlot, hasType, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValidOwnSlotValue, markDeleted, markDeleting, removeDirectType, removeFrameListener, removeInstanceListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDirectType, setDirectTypes, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, shallowCopy`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, getFrameID, isValid, moveDirectOwnSlotValue`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFObject
`equalsStructurally`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.visitor.Visitable
`accept`

Constructor Detail

### AbstractRDFSClass

    public AbstractRDFSClass(edu.stanford.smi.protege.model.KnowledgeBase kb,
                             edu.stanford.smi.protege.model.FrameID id)

Method Detail

### addAnonymousClses

    protected void addAnonymousClses(Collection target,
                                     Collection clses)

### addClassListener

    public void addClassListener(ClassListener listener)

  Description copied from interface: `RDFSClass`
  Adds a ClassListener to receive events about this RDFSClass.

  Specified by:
    `addClassListener` in interface `RDFSClass`
  Parameters:
    `listener` - the ClassListener to add

### addSuperclass

    public void addSuperclass(RDFSClass superclass)

  Description copied from interface: `RDFSClass`
  Adds a class to the rdfs:subClassOfs of this.

  Specified by:
    `addSuperclass` in interface `RDFSClass`

### addToUnionDomainOf

    public void addToUnionDomainOf(RDFProperty property)

### createClone

    public RDFSClass createClone()

  Description copied from interface: `RDFSClass`
  Creates a copy of anonymous classes which contain a completely new expression tree. Named classes are NOT copied.

  Specified by:
    `createClone` in interface `RDFSClass`
  Returns:
    a clone of this or the object itself for named classes

### createInstance

    public RDFResource createInstance(String name)

  Description copied from interface: `RDFSClass`
  Creates a new instance of this class.

  Specified by:
    `createInstance` in interface `RDFSClass`
  Parameters:
    `name` - the name of the new instance or null for a default name
  Returns:
    a new instance of this

### getAbstractOWLModel

    protected AbstractOWLModel getAbstractOWLModel()

### getDefinition

    public RDFSClass getDefinition()

### getUnionDomainProperties

    public Collection getUnionDomainProperties()

  Description copied from interface: `RDFSClass`
  Equivalent to `getUnionDomainProperties(false)`.

  Specified by:
    `getUnionDomainProperties` in interface `RDFSClass`
  Returns:
    the properties that have this in their (direct) domain

### getPureSuperclasses

    public Collection getPureSuperclasses()

  Description copied from interface: `RDFSClass`
  Gets the subset of those direct superclasses which are not at the same time equivalent classes (or operands of equivalent intersection classes). Note that equivalent classes are superclasses of each other, so that in many cases you may want to use this method instead of `getSuperclasses(false)`.

  Specified by:
    `getPureSuperclasses` in interface `RDFSClass`
  Returns:
    the direct superclasses

### getDirectTemplateFacetValue

    public Object getDirectTemplateFacetValue(edu.stanford.smi.protege.model.Slot slot,
                                              edu.stanford.smi.protege.model.Facet facet)

### getUnionDomainProperties

    public Collection getUnionDomainProperties(boolean transitive)

  Description copied from interface: `RDFSClass`
  Gets those properties that have this in their domain, with union semantics. If the argument is true, then this will also consider those properties that have superclasses of this in their domain.

  Specified by:
    `getUnionDomainProperties` in interface `RDFSClass`
  Parameters:
    `transitive` - true to include superclasses
  Returns:
    a Collection of RDFProperty objects

### getDisjointClasses

    public Collection getDisjointClasses()

### getEquivalentClasses

    public Collection getEquivalentClasses()

  Description copied from interface: `RDFSClass`
  Gets a Collection of all directly equivalent Clses of this. These are those direct superclasses that also have this as direct superclass.

  Specified by:
    `getEquivalentClasses` in interface `RDFSClass`
  Returns:
    a Collection of Cls objects

### getInferredInstanceCount

    public int getInferredInstanceCount()

  Description copied from interface: `RDFSClass`
  Gets the number of direct inferred instances of this class. This is equivalent to `getInferredInstances(false).size()` but could be optimized internally for better performance.

  Specified by:
    `getInferredInstanceCount` in interface `RDFSClass`
  Returns:
    the number of inferred instances
  See Also:
    `RDFSClass.getInferredInstances(boolean)`

### getInferredInstances

    public Collection getInferredInstances(boolean includingSubclasses)

  Description copied from interface: `RDFSClass`
  Gets all resources that have this as their inferred type. Optionally, it is possible to include subclasses of this into the search.

  Specified by:
    `getInferredInstances` in interface `RDFSClass`
  Parameters:
    `includingSubclasses` - true to include instances of subclasses of this
  Returns:
    the inferred instances of this

### getInstanceCount

    public int getInstanceCount(boolean includingSubclasses)

  Description copied from interface: `RDFSClass`
  Gets the number of instances of this, possibly including the instances of all subclasses.

  Specified by:
    `getInstanceCount` in interface `RDFSClass`
  Parameters:
    `includingSubclasses` - true to also include the instances of the subclasses
  Returns:
    the number of instances of this

### getInstances

    public Collection getInstances(boolean includingSubclasses)

  Description copied from interface: `RDFSClass`
  Gets the instances of this, possibly including the instances of all subclasses.

  Specified by:
    `getInstances` in interface `RDFSClass`
  Parameters:
    `includingSubclasses` - true to also get the instances of the subclasses
  Returns:
    the instances of this

### getNamedSubclasses

    public Collection getNamedSubclasses()

  Description copied from interface: `RDFSClass`
  Gets a Collection of all direct subclasses that are not anonymous. (This is a convenience method for getNamedSubclasses(false))

  Specified by:
    `getNamedSubclasses` in interface `RDFSClass`
  Returns:
    a Collection of Cls objects

### getNamedSuperclasses

    public Collection getNamedSuperclasses()

  Description copied from interface: `RDFSClass`
  Gets a Collection of all direct superclasses that are not anonymous. (This is a convenience method for getNamedSuperclasses(false))

  Specified by:
    `getNamedSuperclasses` in interface `RDFSClass`
  Returns:
    a Collection of Cls objects

### getNamedSubclasses

    public Collection getNamedSubclasses(boolean transitive)

  Description copied from interface: `RDFSClass`
  Gets the named subclasses of this class.

  Specified by:
    `getNamedSubclasses` in interface `RDFSClass`
  Parameters:
    `transitive` - true to include the descendent classes or false to only include the direct named subclasses
  Returns:
    a Collection of RDFSNamedClass objects.

### getNamedSuperclasses

    public Collection getNamedSuperclasses(boolean transitive)

  Description copied from interface: `RDFSClass`
  Gets the superclasses of this class.

  Specified by:
    `getNamedSuperclasses` in interface `RDFSClass`
  Parameters:
    `transitive` - true to include the ancestor classes or false to only include the direct named superclasses
  Returns:
    A Collection of RDFSNamedClass objects.

### getParsableExpression

    public String getParsableExpression()

  Specified by:
    `getParsableExpression` in interface `RDFSClass`

### getSubclassCount

    public int getSubclassCount()

  Description copied from interface: `RDFSClass`
  Gets the number of (direct) subclasses of this.

  Specified by:
    `getSubclassCount` in interface `RDFSClass`
  Returns:
    the number of classes with this as a rdfs:subClassOf value

### getSubclasses

    public Collection getSubclasses(boolean transitive)

  Description copied from interface: `RDFSClass`
  Gets the subclasses of this, including the subclasses of the subclasses etc.

  Specified by:
    `getSubclasses` in interface `RDFSClass`
  Returns:
    the subclass values

### getSuperclassCount

    public int getSuperclassCount()

  Description copied from interface: `RDFSClass`
  Gets the number of (direct) superclasses of this.

  Specified by:
    `getSuperclassCount` in interface `RDFSClass`
  Returns:
    the number of rdfs:subClassOf values

### getSuperclasses

    public Collection getSuperclasses(boolean transitive)

  Description copied from interface: `RDFSClass`
  Gets the superclasses of this, optionally including the superclasses of the superclasses etc.

  Specified by:
    `getSuperclasses` in interface `RDFSClass`
  Returns:
    the rdfs:subClassOf values

### hasPropertyValueWithBrowserText

    public boolean hasPropertyValueWithBrowserText(RDFProperty property,
                                                   String browserText)

  Description copied from interface: `RDFSClass`
  For an object-valued property, checks whether one of the property values has a given browser text.

  Specified by:
    `hasPropertyValueWithBrowserText` in interface `RDFSClass`
  Parameters:
    `property` - the property (must not have datatype literals as values)
    `browserText` - the browser text to compare to
  Returns:
    true if one of the values of the property matches

### hasPropertyValueWithBrowserText

    public boolean hasPropertyValueWithBrowserText(edu.stanford.smi.protege.model.Slot property,
                                                   String browserText)

### hasEquivalentClass

    public boolean hasEquivalentClass(RDFSClass other)

  Description copied from interface: `RDFSClass`
  Checks whether this is a (direct) equivalent class of a given other Cls.

  Specified by:
    `hasEquivalentClass` in interface `RDFSClass`
  Parameters:
    `other` - the Cls to compare with
  Returns:
    true if other is among the direct equivalent classes

### isMetaclass

    public boolean isMetaclass()

  Description copied from interface: `RDFSClass`
  Checks whether this is a metaclass, i.e. whether it is a subclass of rdfs:Class.

  Specified by:
    `isMetaclass` in interface `RDFSClass`
  Returns:
    true if this is a metaclass

### isSubclassOf

    public boolean isSubclassOf(RDFSClass superclass)

  Description copied from interface: `RDFSClass`
  Checks whether this is a (direct) subclass of a given class.

  Specified by:
    `isSubclassOf` in interface `RDFSClass`
  Parameters:
    `superclass` - the superclass in question
  Returns:
    true if this has superclass among its rdfs:subClassOf values

### removeClassListener

    public void removeClassListener(ClassListener listener)

  Description copied from interface: `RDFSClass`
  Removes a ClassListener to receive events about this RDFSClass.

  Specified by:
    `removeClassListener` in interface `RDFSClass`
  Parameters:
    `listener` - the ClassListener to remove

### removeSuperclass

    public void removeSuperclass(RDFSClass superclass)

  Description copied from interface: `RDFSClass`
  Removes a given class from the superclasses of this.

  Specified by:
    `removeSuperclass` in interface `RDFSClass`
  Parameters:
    `superclass` - the superclass to remove

### addComment

    public void addComment(String comment)

  Description copied from interface: `RDFResource`
  Adds an rdfs:comment to this resource.

  Specified by:
    `addComment` in interface `RDFResource`
  Parameters:
    `comment` - the comment to add
  See Also:
    `RDFResource.getComments()`, `RDFResource.removeComment(java.lang.String)`

### addDifferentFrom

    public void addDifferentFrom(RDFResource resource)

  Description copied from interface: `RDFResource`
  Adds an owl:differentFrom to this resource.

  Specified by:
    `addDifferentFrom` in interface `RDFResource`
  Parameters:
    `resource` - the resource to add
  See Also:
    `RDFResource.getDifferentFrom()`, `RDFResource.removeDifferentFrom(edu.stanford.smi.protegex.owl.model.RDFResource)`

### addIsDefinedBy

    public void addIsDefinedBy(RDFResource instance)

  Description copied from interface: `RDFResource`
  Adds an rdfs:isDefinedBy to this resource.

  Specified by:
    `addIsDefinedBy` in interface `RDFResource`
  Parameters:
    `instance` - the resource to add
  See Also:
    `RDFResource.getIsDefinedBy()`, `RDFResource.removeIsDefinedBy(edu.stanford.smi.protegex.owl.model.RDFResource)`

### addLabel

    public void addLabel(String label,
                         String language)

  Description copied from interface: `RDFResource`
  Adds a label to this.

  Specified by:
    `addLabel` in interface `RDFResource`
  Parameters:
    `label` - the text of the label to add
    `language` - the language, or null for no language

### addPropertyValue

    public void addPropertyValue(RDFProperty property,
                                 Object value)

  Description copied from interface: `RDFResource`
  Adds a value for a given property to this resource. The property should have the type of this resource in its domain.

  Specified by:
    `addPropertyValue` in interface `RDFResource`
  Parameters:
    `property` - the property to add a value for
    `value` - the value to add (may be an RDFSLiteral, a primitive value or another Resource)
  See Also:
    `RDFResource.getPropertyValue(edu.stanford.smi.protegex.owl.model.RDFProperty)`, `RDFResource.getPropertyValues(edu.stanford.smi.protegex.owl.model.RDFProperty)`, `RDFResource.listPropertyValues(edu.stanford.smi.protegex.owl.model.RDFProperty)`, `RDFResource.removePropertyValue(edu.stanford.smi.protegex.owl.model.RDFProperty, java.lang.Object)`

### addPropertyValueListener

    public void addPropertyValueListener(PropertyValueListener listener)

  Description copied from interface: `RDFResource`
  Adds a PropertyValueListener to receive events when property values have changed.

  Specified by:
    `addPropertyValueListener` in interface `RDFResource`
  Parameters:
    `listener` - the listener to add
  See Also:
    `RDFResource.removePropertyValueListener(edu.stanford.smi.protegex.owl.model.event.PropertyValueListener)`

### addProtegeType

    public void addProtegeType(RDFSClass type)

  Description copied from interface: `RDFResource`
  Adds an type to this resource.

  Specified by:
    `addProtegeType` in interface `RDFResource`
  Parameters:
    `type` - the type to add
  See Also:
    `RDFResource.getProtegeTypes()`, `RDFResource.removeProtegeType(edu.stanford.smi.protegex.owl.model.RDFSClass)`

### addRDFType

    public void addRDFType(RDFSClass type)

  Description copied from interface: `RDFResource`
  Adds an rdf:type to this resource.

  Specified by:
    `addRDFType` in interface `RDFResource`
  Parameters:
    `type` - the rdf:type to add
  See Also:
    `RDFResource.getProtegeTypes()`, `RDFResource.removeProtegeType(edu.stanford.smi.protegex.owl.model.RDFSClass)`

### addResourceListener

    public void addResourceListener(ResourceListener listener)

  Description copied from interface: `RDFResource`
  Adds a ResourceListener to receive events when the type of this has changed.

  Specified by:
    `addResourceListener` in interface `RDFResource`
  Parameters:
    `listener` - the listener to add
  See Also:
    `RDFResource.removeResourceListener(edu.stanford.smi.protegex.owl.model.event.ResourceListener)`

### addSameAs

    public void addSameAs(RDFResource resource)

  Description copied from interface: `RDFResource`
  Adds an owl:sameAs to this resource.

  Specified by:
    `addSameAs` in interface `RDFResource`
  Parameters:
    `resource` - the resource to add
  See Also:
    `RDFResource.getSameAs()`, `RDFResource.removeSameAs(edu.stanford.smi.protegex.owl.model.RDFResource)`

### addVersionInfo

    public void addVersionInfo(String versionInfo)

  Description copied from interface: `RDFResource`
  Adds an owl:versionInfo to this resource.

  Specified by:
    `addVersionInfo` in interface `RDFResource`
  Parameters:
    `versionInfo` - the version info to add
  See Also:
    `RDFResource.getVersionInfo()`, `RDFResource.removeVersionInfo(java.lang.String)`

### as

    public RDFResource as(Class javaInterface)

  Description copied from interface: `RDFResource`
  Converts this dynamically into an instance of a given Java interface. The interface must inherit from RDFResource and must be accompanied by a public class DefaultXY in the impl subpackage below the interface's package. Note: Work in Progress!

  Specified by:
    `as` in interface `RDFResource`
  Parameters:
    `javaInterface` - the Java interface to convert to
  Returns:
    an instance of the Java interface

### canAs

    public boolean canAs(Class javaInterface)

  Description copied from interface: `RDFResource`
  Checks whether this can be dynamically morphed into an instance of a given Java interface. The interface must inherit from RDFResource and must be accompanied by an implementation in the subpackage "impl" below the interface package. Note: Work in Progress!

  Specified by:
    `canAs` in interface `RDFResource`
  Parameters:
    `javaInterface` - the Java interface to test
  Returns:
    true if this can be morphed into the given Java class

### getAllValuesFromOnTypes

    public RDFResource getAllValuesFromOnTypes(RDFProperty property)

  Description copied from interface: `RDFResource`
  Checks for rdfs:range or owl:allValuesFrom restrictions on the types of this resource. This method can be used to check the "valid" value types for a given property. The implementation will check all rdf:types of this.

  Specified by:
    `getAllValuesFromOnTypes` in interface `RDFResource`
  Parameters:
    `property` - the property to check for restrictions
  Returns:
    the range or null if no restriction was found

### getComments

    public Collection getComments()

  Description copied from interface: `RDFResource`
  Gets all rdfs:comments for this resource.

  Specified by:
    `getComments` in interface `RDFResource`
  Returns:
    a Collection of Strings or RDFSLiterals
  See Also:
    `RDFResource.addComment(java.lang.String)`, `RDFResource.removeComment(java.lang.String)`

### getDifferentFrom

    public Collection getDifferentFrom()

  Description copied from interface: `RDFResource`
  Gets all owl:differentFroms for this resource.

  Specified by:
    `getDifferentFrom` in interface `RDFResource`
  Returns:
    a Collection of RDFResources
  See Also:
    `RDFResource.addDifferentFrom(edu.stanford.smi.protegex.owl.model.RDFResource)`, `RDFResource.removeDifferentFrom(edu.stanford.smi.protegex.owl.model.RDFResource)`

### getHasValuesOnTypes

    public Collection getHasValuesOnTypes(RDFProperty property)

  Description copied from interface: `RDFResource`
  Checks if there are any owl:hasValue restrictions defined on any rdf:type of this and returns the fillers of the restrictions (if found).

  Specified by:
    `getHasValuesOnTypes` in interface `RDFResource`
  Parameters:
    `property` - the property to look for restrictions
  Returns:
    the fillers of all owl:hasValue restriction defined on the types of this

### getIconLocation

    public Class getIconLocation()

  Description copied from interface: `RDFResource`
  Gets a class that serves as a location of the icon resource. This method is used in conjunction with `getIconName()`.

  Specified by:
    `getIconLocation` in interface `RDFResource`
  Returns:
    the icon location class (e.g., OWLIcons.class)
  See Also:
    `RDFResource.getIconName()`

### getProtegeType

    public RDFSClass getProtegeType()

  Description copied from interface: `RDFResource`
  Gets the first asserted type of this resource. This is basically a convenience method for those cases where it is known in advance that the resource only has a single type. If the resource has multiple types, then the result of this method is undefined.

  Specified by:
    `getProtegeType` in interface `RDFResource`
  Returns:
    the first type of this
  See Also:
    `RDFResource.getProtegeTypes()`

### getProtegeTypes

    public Collection getProtegeTypes()

  Description copied from interface: `RDFResource`
  Gets the asserted types of this resource. Note that in the case of anonymous classes, this result is different from the sibling method `getRDFTypes()`: Anonymous classes are internally stored using some special Protege metaclasses (e.g. OWLNames.Cls.COMPLEMENT_CLASS instead of owl:Class).

  Specified by:
    `getProtegeTypes` in interface `RDFResource`
  Returns:
    the types of this
  See Also:
    `RDFResource.getProtegeType()`

### getDocumentation

    public Collection getDocumentation()

  Specified by:
    `getDocumentation` in interface `edu.stanford.smi.protege.model.Frame`
  Specified by:
    `getDocumentation` in interface `ProtegeInstance`
  Overrides:
    `getDocumentation` in class `edu.stanford.smi.protege.model.DefaultFrame`
  See Also:
    `RDFResource.getComments()`

### getInferredTypes

    public Collection getInferredTypes()

  Description copied from interface: `RDFResource`
  Gets the direct types that were inferred during the most recent execution of a reasoner.

  Specified by:
    `getInferredTypes` in interface `RDFResource`
  Returns:
    the collection of inferred direct types (RDFSClasses)

### getIsDefinedBy

    public Collection getIsDefinedBy()

  Description copied from interface: `RDFResource`
  Gets all rdfs:isDefinedBy for this resource.

  Specified by:
    `getIsDefinedBy` in interface `RDFResource`
  Returns:
    a Collection of RDFResources
  See Also:
    `RDFResource.addIsDefinedBy(edu.stanford.smi.protegex.owl.model.RDFResource)`, `RDFResource.removeIsDefinedBy(edu.stanford.smi.protegex.owl.model.RDFResource)`

### getLabels

    public Collection getLabels()

  Description copied from interface: `RDFResource`
  Gets the rdfs:labels that are currenly defined for this.

  Specified by:
    `getLabels` in interface `RDFResource`
  Returns:
    a Collection of strings or RDFSLiterals

### getLocalName

    public String getLocalName()

  Description copied from interface: `RDFResource`
  Gets the local part of the full URI (name) of this resource. For example, for "owl:Class" this would return "Class".

  Specified by:
    `getLocalName` in interface `RDFResource`
  Returns:
    the part of the name after #

### getPrefixedName

    public String getPrefixedName()

  Description copied from interface: `RDFResource`
  Gets the qualified name as a namespace, local name pair (e.g. "owl:Class").

  Specified by:
    `getPrefixedName` in interface `RDFResource`
  Returns:
    the qualified name of the resource.

### getNamespace

    public String getNamespace()

  Description copied from interface: `RDFResource`
  Gets the namespace of this resource. This is the URI up to before the #

  Specified by:
    `getNamespace` in interface `RDFResource`
  Returns:
    the namespace

### getNamespacePrefix

    public String getNamespacePrefix()

  Description copied from interface: `RDFResource`
  Gets the prefix of the namespace, i.e. the abbreviated name of the namespace.

  Specified by:
    `getNamespacePrefix` in interface `RDFResource`
  Returns:
    the prefix, e.g. "owl" or "protege"

### getOWLModel

    public OWLModel getOWLModel()

  Description copied from interface: `RDFResource`
  Gets the OWLModel this resource is defined in. The OWLModel is the top-level container that allows programmers to create, delete and query all resources in the ontology.

  Specified by:
    `getOWLModel` in interface `RDFResource`
  Returns:
    the OWLModel

### getPossibleRDFProperties

    public Collection getPossibleRDFProperties()

  Description copied from interface: `RDFResource`
  Gets a Collection of all RDFProperties that this resource could take values for. This includes all properties with this in their domain, and their subproperties. The result of this method is a superset of `getRDFProperties()` which only returns those properties that also have a value at this resource.

  Specified by:
    `getPossibleRDFProperties` in interface `RDFResource`
  Returns:
    a Collection of RDFProperties
  See Also:
    `RDFResource.getRDFProperties()`

### getPropertyValue

    public Object getPropertyValue(RDFProperty property)

  Description copied from interface: `RDFResource`
  Gets all (direct) values of a given property. This is an abbreviation of `getPropertyValue(property, true)`.

  Specified by:
    `getPropertyValue` in interface `RDFResource`
  Parameters:
    `property` - the property to get the values for
  Returns:
    the property values

### getPropertyValueAs

    public RDFResource getPropertyValueAs(RDFProperty property,
                                          Class javaInterface)

  Specified by:
    `getPropertyValueAs` in interface `RDFResource`

### getPropertyValue

    public Object getPropertyValue(RDFProperty property,
                                   boolean includingSubproperties)

  Description copied from interface: `RDFResource`
  Gets all values of a given property, and optionally its subproperties.

  Specified by:
    `getPropertyValue` in interface `RDFResource`
  Parameters:
    `property` - the property to get the values for
    `includingSubproperties` - true to also return the subproperty values
  Returns:
    the property values

### getPropertyValueCount

    public int getPropertyValueCount(RDFProperty property)

  Description copied from interface: `RDFResource`
  Gets the number of all (direct) values of a given property.

  Specified by:
    `getPropertyValueCount` in interface `RDFResource`
  Parameters:
    `property` - the property
  Returns:
    the number of direct values of property

### getPropertyValueLiteral

    public RDFSLiteral getPropertyValueLiteral(RDFProperty property)

  Description copied from interface: `RDFResource`
  Gets the first value of a given property as an RDFSLiteral. The caller must make sure that the property only has datatype values (e.g. if the property is an OWLDatatypeProperty).

  Specified by:
    `getPropertyValueLiteral` in interface `RDFResource`
  Parameters:
    `property` - the property to get the value from
  Returns:
    the property value as RDFSLiteral

### getPropertyValueLiterals

    public Collection getPropertyValueLiterals(RDFProperty property)

  Description copied from interface: `RDFResource`
  Gets all (direct) values of a given property at this as RDFSLiterals. This is often more convenient than calling `getPropertyValues`, which may return values as primitive values (without the wrapping in an RDFSLiteral). The caller must make sure that the property only holds datatype values prior to the call.

  Specified by:
    `getPropertyValueLiterals` in interface `RDFResource`
  Parameters:
    `property` - the property to get the values from
  Returns:
    the property values as RDFSLiterals

### getPropertyValues

    public Collection getPropertyValues(RDFProperty property)

  Description copied from interface: `RDFResource`
  Gets all (direct) values of a given property at this resource. This call is an abbreviation of `getPropertyValues(property, false)`.

  Specified by:
    `getPropertyValues` in interface `RDFResource`
  Parameters:
    `property` - the property to get the values from
  Returns:
    the property values
  See Also:
    `RDFResource.listPropertyValues(edu.stanford.smi.protegex.owl.model.RDFProperty)`

### getPropertyValuesAs

    public Collection getPropertyValuesAs(RDFProperty property,
                                          Class javaInterface)

  Specified by:
    `getPropertyValuesAs` in interface `RDFResource`

### getPropertyValues

    public Collection getPropertyValues(RDFProperty property,
                                        boolean includingSubproperties)

  Description copied from interface: `RDFResource`
  Gets all values of a given property, optionally including the values of the subproperties of the property.

  Specified by:
    `getPropertyValues` in interface `RDFResource`
  Parameters:
    `property` - the property to get the values from
    `includingSubproperties` - true to also return the subproperty values
  Returns:
    the property values

### getReferringAnonymousClasses

    public Set getReferringAnonymousClasses()

  Description copied from interface: `RDFResource`
  Gets a Collection of all OWLAnonymousClasses that have a reference to this. This includes
  - all OWLLogicalClasses that have this as Operand
  - all OWLRestrictions that have this as restricted property or filler
  - all OWLEnumeratedClasses that have this as owl:oneOf

  Specified by:
    `getReferringAnonymousClasses` in interface `RDFResource`
  Returns:
    Set of OWLAnonymousClasses

### getRDFProperties

    public Collection getRDFProperties()

  Description copied from interface: `RDFResource`
  Gets all RDFProperties that have at least one value at this.

  Specified by:
    `getRDFProperties` in interface `RDFResource`
  Returns:
    a collection of RDFProperty objects

### getRDFType

    public RDFSClass getRDFType()

  Description copied from interface: `RDFResource`
  Gets the first asserted rdf:type of this resource. This is basically a convenience method for those cases where it is known in advance that the resource only has a single type. If the resource has multiple types, then the result of this method is undefined.

  Specified by:
    `getRDFType` in interface `RDFResource`
  Returns:
    the first type of this
  See Also:
    `RDFResource.getRDFTypes()`

### getRDFTypes

    public Collection getRDFTypes()

  Description copied from interface: `RDFResource`
  Gets the asserted rdf:types of this resource.

  Specified by:
    `getRDFTypes` in interface `RDFResource`
  Returns:
    the rdf:types of this
  See Also:
    `RDFResource.getRDFType()`

### getSameAs

    public Collection getSameAs()

  Description copied from interface: `RDFResource`
  Gets the values of the owl:sameAs property.

  Specified by:
    `getSameAs` in interface `RDFResource`
  Returns:
    a Collection of RDFResources

### getURI

    public String getURI()

  Description copied from interface: `RDFResource`
  Gets the full URI of this resource. This is typically of the form `http://www.mydomain.org/myontology#Name`

  Specified by:
    `getURI` in interface `RDFResource`
  Returns:
    the URI

### getVersionInfo

    public Collection getVersionInfo()

  Description copied from interface: `RDFResource`
  Gets the values of the owl:versionInfo property.

  Specified by:
    `getVersionInfo` in interface `RDFResource`
  Returns:
    the version info values

### hasPropertyValue

    public boolean hasPropertyValue(RDFProperty property)

  Description copied from interface: `RDFResource`
  Checks whether this has any (direct) property value.

  Specified by:
    `hasPropertyValue` in interface `RDFResource`
  Parameters:
    `property` - the property
  Returns:
    true if this has any values for property

### hasPropertyValue

    public boolean hasPropertyValue(RDFProperty property,
                                    boolean includingSubproperties)

  Description copied from interface: `RDFResource`
  Checks whether this has any property value.

  Specified by:
    `hasPropertyValue` in interface `RDFResource`
  Parameters:
    `property` - the property
    `includingSubproperties` - true to also include subproperties of property
  Returns:
    true if this has any values for property

### hasPropertyValue

    public boolean hasPropertyValue(RDFProperty property,
                                    Object value)

  Description copied from interface: `RDFResource`
  Checks whether this has a certain (direct) property value.

  Specified by:
    `hasPropertyValue` in interface `RDFResource`
  Parameters:
    `property` - the property
    `value` - the value (possibly an RDFSLiteral)
  Returns:
    true if one of the values of the property equals value

### hasPropertyValue

    public boolean hasPropertyValue(RDFProperty property,
                                    Object value,
                                    boolean includingSuperproperties)

  Description copied from interface: `RDFResource`
  Checks whether this has a certain property value. This is a shortcut for `getPropertyValues(property).contains(value);`.

  Specified by:
    `hasPropertyValue` in interface `RDFResource`
  Parameters:
    `property` - the property
    `value` - the value (possibly an RDFSLiteral)
    `includingSuperproperties` - true to also include subproperties of property
  Returns:
    true if one of the values of the property equals value

### hasProtegeType

    public boolean hasProtegeType(RDFSClass type)

  Description copied from interface: `RDFResource`
  Checks whether this resource has a given type. This is equivalent to `hasProtegeType(type, false)`.

  Specified by:
    `hasProtegeType` in interface `RDFResource`
  Parameters:
    `type` - the type in question
  Returns:
    true if one of the rdf:types of this is type
  See Also:
    `RDFResource.addProtegeType(edu.stanford.smi.protegex.owl.model.RDFSClass)`, `RDFResource.getProtegeTypes()`, `RDFResource.removeProtegeType(edu.stanford.smi.protegex.owl.model.RDFSClass)`

### hasProtegeType

    public boolean hasProtegeType(RDFSClass type,
                                  boolean includingSuperclasses)

  Specified by:
    `hasProtegeType` in interface `RDFResource`

### hasRDFType

    public boolean hasRDFType(RDFSClass type)

  Description copied from interface: `RDFResource`
  Checks whether this resource has a given rdf:type. This is equivalent to `hasProtegeType(type, false)`.

  Specified by:
    `hasRDFType` in interface `RDFResource`
  Parameters:
    `type` - the type in question
  Returns:
    true if one of the rdf:types of this is type
  See Also:
    `RDFResource.addProtegeType(edu.stanford.smi.protegex.owl.model.RDFSClass)`, `RDFResource.getProtegeTypes()`, `RDFResource.removeProtegeType(edu.stanford.smi.protegex.owl.model.RDFSClass)`

### hasRDFType

    public boolean hasRDFType(RDFSClass type,
                              boolean includingSuperclasses)

  Specified by:
    `hasRDFType` in interface `RDFResource`

### isValidPropertyValue

    public boolean isValidPropertyValue(RDFProperty property,
                                        Object object)

  Description copied from interface: `RDFResource`
  A convenience method to access the corresponding method in OWLModel.

  Specified by:
    `isValidPropertyValue` in interface `RDFResource`
  Parameters:
    `property` - the property to check against
    `object` - the potential property value
  Returns:
    true if object is a valid value for property
  See Also:
    `OWLModel.isValidPropertyValue(edu.stanford.smi.protegex.owl.model.RDFResource, edu.stanford.smi.protegex.owl.model.RDFProperty, java.lang.Object)`

### listPropertyValues

    public Iterator listPropertyValues(RDFProperty property)

  Description copied from interface: `RDFResource`
  Gets all direct values of a certain property as an Iterator.

  Specified by:
    `listPropertyValues` in interface `RDFResource`
  Parameters:
    `property` - the property to get the values from
  Returns:
    an Iterator on property values
  See Also:
    `RDFResource.getPropertyValues(edu.stanford.smi.protegex.owl.model.RDFProperty)`

### listPropertyValuesAs

    public Iterator listPropertyValuesAs(RDFProperty property,
                                         Class javaInterface)

  Specified by:
    `listPropertyValuesAs` in interface `RDFResource`

### listPropertyValues

    public Iterator listPropertyValues(RDFProperty property,
                                       boolean includingSubproperties)

  Description copied from interface: `RDFResource`
  Gets all values of a certain property as an Iterator.

  Specified by:
    `listPropertyValues` in interface `RDFResource`
  Parameters:
    `property` - the property to get the values from
    `includingSubproperties` - true to also return values of subproperties
  Returns:
    an Iterator on property values
  See Also:
    `RDFResource.getPropertyValues(edu.stanford.smi.protegex.owl.model.RDFProperty)`

### listRDFTypes

    public Iterator listRDFTypes()

  Description copied from interface: `RDFResource`
  Gets an Iterator on the rdf:types of this.

  Specified by:
    `listRDFTypes` in interface `RDFResource`
  Returns:
    an Iterator of the types

### removeComment

    public void removeComment(String value)

  Description copied from interface: `RDFResource`
  Removes an rdfs:comment from this resource.

  Specified by:
    `removeComment` in interface `RDFResource`
  Parameters:
    `value` - the comment to remove
  See Also:
    `RDFResource.addComment(java.lang.String)`, `RDFResource.getComments()`

### removeDifferentFrom

    public void removeDifferentFrom(RDFResource resource)

  Specified by:
    `removeDifferentFrom` in interface `RDFResource`

### removeIsDefinedBy

    public void removeIsDefinedBy(RDFResource resource)

  Specified by:
    `removeIsDefinedBy` in interface `RDFResource`

### removeLabel

    public void removeLabel(String label,
                            String language)

  Description copied from interface: `RDFResource`
  Removes a label that has been previously added.

  Specified by:
    `removeLabel` in interface `RDFResource`
  Parameters:
    `label` - the text of the label to remove
    `language` - the language of the label or null

### removePropertyValue

    public void removePropertyValue(RDFProperty property,
                                    Object value)

  Specified by:
    `removePropertyValue` in interface `RDFResource`

### removePropertyValueListener

    public void removePropertyValueListener(PropertyValueListener listener)

  Specified by:
    `removePropertyValueListener` in interface `RDFResource`

### removeProtegeType

    public void removeProtegeType(RDFSClass type)

  Description copied from interface: `RDFResource`
  Removes a type from this resource. Note that the resource must have at least one type at any time.

  Specified by:
    `removeProtegeType` in interface `RDFResource`
  Parameters:
    `type` - the type to remove
  See Also:
    `RDFResource.addProtegeType(edu.stanford.smi.protegex.owl.model.RDFSClass)`, `RDFResource.getProtegeTypes()`

### removeRDFType

    public void removeRDFType(RDFSClass type)

  Description copied from interface: `RDFResource`
  Removes an rdf:type from this resource. Note that the resource must have at least one rdf:type at any time.

  Specified by:
    `removeRDFType` in interface `RDFResource`
  Parameters:
    `type` - the type to remove
  See Also:
    `RDFResource.addRDFType(edu.stanford.smi.protegex.owl.model.RDFSClass)`, `RDFResource.getRDFTypes()`

### removeResourceListener

    public void removeResourceListener(ResourceListener listener)

  Specified by:
    `removeResourceListener` in interface `RDFResource`

### removeSameAs

    public void removeSameAs(RDFResource resource)

  Specified by:
    `removeSameAs` in interface `RDFResource`

### removeVersionInfo

    public void removeVersionInfo(String versionInfo)

  Specified by:
    `removeVersionInfo` in interface `RDFResource`

### setComment

    public void setComment(String comment)

  Specified by:
    `setComment` in interface `RDFResource`

### setComments

    public void setComments(Collection comments)

  Specified by:
    `setComments` in interface `RDFResource`

### setDocumentation

    public void setDocumentation(String value)

  Specified by:
    `setDocumentation` in interface `edu.stanford.smi.protege.model.Frame`
  Specified by:
    `setDocumentation` in interface `ProtegeInstance`
  Overrides:
    `setDocumentation` in class `edu.stanford.smi.protege.model.DefaultFrame`
  See Also:
    `RDFResource.setComment(java.lang.String)`

### setInferredTypes

    public void setInferredTypes(Collection types)

  Specified by:
    `setInferredTypes` in interface `RDFResource`

### setPropertyValue

    public void setPropertyValue(RDFProperty property,
                                 Object value)

  Specified by:
    `setPropertyValue` in interface `RDFResource`

### setPropertyValues

    public void setPropertyValues(RDFProperty property,
                                  Collection values)

  Specified by:
    `setPropertyValues` in interface `RDFResource`

### setProtegeType

    public void setProtegeType(RDFSClass type)

  Specified by:
    `setProtegeType` in interface `RDFResource`

### setRDFType

    public void setRDFType(RDFSClass type)

  Specified by:
    `setRDFType` in interface `RDFResource`

### setRDFTypes

    public void setRDFTypes(Collection types)

  Specified by:
    `setRDFTypes` in interface `RDFResource`

### setProtegeTypes

    public void setProtegeTypes(Collection types)

  Specified by:
    `setProtegeTypes` in interface `RDFResource`

### toString

    public String toString()

  Overrides:
    `toString` in class `edu.stanford.smi.protege.model.DefaultCls`

### setDirectBrowserSlotPattern

    public void setDirectBrowserSlotPattern(edu.stanford.smi.protege.model.BrowserSlotPattern slotPattern)

  Specified by:
    `setDirectBrowserSlotPattern` in interface `edu.stanford.smi.protege.model.Cls`
  Specified by:
    `setDirectBrowserSlotPattern` in interface `ProtegeCls`
  Overrides:
    `setDirectBrowserSlotPattern` in class `edu.stanford.smi.protege.model.DefaultCls`

### getBrowserSlotPattern

    public OWLBrowserSlotPattern getBrowserSlotPattern()

  Specified by:
    `getBrowserSlotPattern` in interface `edu.stanford.smi.protege.model.Cls`
  Specified by:
    `getBrowserSlotPattern` in interface `ProtegeCls`
  Overrides:
    `getBrowserSlotPattern` in class `edu.stanford.smi.protege.model.DefaultCls`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.